PHP Manual
Prev |  | Next

# dechex

(PHP 3, PHP 4, PHP 5)

dechex -- Decimal to hexadecimal

## Description

string dechex ( int number )

Returns a string containing a hexadecimal representation of the given `number` argument. The largest number that can be converted is 4294967295 in decimal resulting to "ffffffff".

## Parameters

`number`

  Decimal value to convert

## Return Values

Hexadecimal string representation of `number`

## Examples

Example 1. dechex() example

`<?php echo dechex(10) . "\n"; echo dechex(47); ?>`

The above example will output:

    a
    2f

## See Also

hexdec()
decbin()
decoct()
base_convert()

Prev | Home | Next
decbin | Up | decoct